/*

    File: Mesh.h
	Copyright (C) 2000-2007 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#ifndef MESH_H
#define MESH_H

//system callback
void meshRender(void);

//runScript callback
void meshReset(void);
void meshPostLoad(void);

//script callback methods
int vertexRangeAlloc(int size);
void BindRange(int l1, int l2);
void setRangeVtx(int range, int index, float x, float y, float z, float s, float t);
void meshSetTexture(const char *filename);

#endif