/*

    File: T3D.h
	Copyright (C) 2000-2007 Christopher Moore (christopher.e.moore@gmail.com)
	  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License along
    with this program; if not, write the Free Software Foundation, Inc., 51
    Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#ifndef T3D_H
#define T3D_H

void T3DStackInit(void);
bool T3DTestStackBounds(void);

void T3DPush(void);
void T3DPop(void);
void T3DTranslate(float x, float y, float z);
void T3DRotate(float degrees, float x, float y, float z);
void T3DScale(float s);

#include "../m_math3d/vector.h"
void T3DVertex(const vector_t *b, vector_t *res);

#endif